<template>
	<view class="pad-b150">
		<status-nav :ifReturn="true" navBarTitle="购物车" :marginBottom="0"></status-nav>
		<view class="cart-content">
			<cart-slide ref="cart" :skuId='skuId'></cart-slide>
		</view> 
	</view>
</template>

<script>
	// 底部组件
	import statusNav from '@/components/status-navs/status-nav.vue';
	import cartSlide from '@/components/shopping-carts/cart-slide';
	export default {
		components:{
			statusNav,
			cartSlide
		},
		data() {
			return { 
				skuId:''
			}
		},
		onReachBottom() {
			this.$refs.cart.getList();
		},
		onShow() {
			uni.removeStorageSync('buyList');
		},
		onLoad(op) {
			if(op.skuId) this.skuId = op.skuId;
		},
		methods: {
			
		}
	}
</script>

<style>

</style>
